Subject: Re: iBook G3: status of 2.6.5

From: Michel Dänzer <[email-masked]>
Date: Wed, 31 Mar 2004 12:50:24 +0200

On Wed, 2004-03-31 at 11:18, Christiaan Welvaart wrote:
>
> on a beige G3:
> With a 2.6.3-based kernel, PREEMPT on (no idea if that matters),

preempt used to be broken on PPC until very recently, but I doubt it
would cause sound skips.

> I hear occasional glitches in the sound output, using xmms. It sounds
> like it's playing some random piece of data in memory for maybe 0.2s.
> How often this happens seems to be independent of system load. The alsa
> driver works fine in 2.4, and IIRC also with 2.6.0 (without PREEMPT).

The xmms ALSA plugin is known to be completely hosed. I don't have any
sound skip problems with mpd, alsaplayer, ogg123, xine, rhythmbox, ...

--
Earthling Michel Dänzer      |     Debian (powerpc), X and DRI developer
Libre software enthusiast    |   http://svcs.affero.net/rm.php?r=daenzer

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/